Package org.eclipse.birt.report.model.api.extension

# Interface IResourceBundleProvider

public interface IResourceBundleProvider
Provides the resource bundle with the given locale.

## Method Summary

Modifier and Type
Method
Description
`com.ibm.icu.util.UResourceBundle`
`getResourceBundle(com.ibm.icu.util.ULocale locale)`
Returns the resource bundle with the locale.
`ResourceBundle`
`getResourceBundle(Locale locale)`
Deprecated.
to support ICU4J, replaced by : getResourceBundle(ULocale locale)

## Method Details

### getResourceBundle

@Deprecated ResourceBundle getResourceBundle(Locale locale)
Deprecated.
to support ICU4J, replaced by : getResourceBundle(ULocale locale)
Returns the resource bundle with the locale.

Parameters:
  `locale` - the given locale
Returns:
  the resource bundle

### getResourceBundle

com.ibm.icu.util.UResourceBundle getResourceBundle(com.ibm.icu.util.ULocale locale)
Returns the resource bundle with the locale.

Parameters:
  `locale` - the given locale
Returns:
  the resource bundle